Create Defined Entity Type
Creates a defined entity type.
Creates a defined entity type.
Request
URI
POST
https://{api_host}/cloudapi/1.0.0/entityTypes/
COPY
Request Body
DefinedEntityType
of type(s)
application/json
Optional
Show optional properties
{
"name": "vspheresddc",
"nss": "sddc",
"version": "1.1.0",
"schema": {},
"vendor": "vmware"
}
{
"id": "urn:vcloud:type:vmware:vspheresddc:1.0.0",
"name": "vspheresddc",
"description": "string",
"nss": "sddc",
"version": "1.1.0",
"inheritedVersion": "1.0.0",
"externalId": "123",
"schema": {
"application/json": {
"type": "object",
"properties": {
"width": {
"type": "number",
"minimum": 0
},
"height": {
"type": "number",
"minimum": 0
}
}
}
},
"vendor": "vmware",
"interfaces": [
"urn:vcloud:interface:vmware.sddc:1.0.0"
],
"hooks": {
"hooks": {}
},
"readonly": false,
"maxImplicitRight": "urn:vcloud:accessLevel:ReadWrite"
}
Responses
201
Created
Returns
DefinedEntityType
of type(s)
application/json;version=9.1.0
{
"id": "urn:vcloud:type:vmware:vspheresddc:1.0.0",
"name": "vspheresddc",
"description": "string",
"nss": "sddc",
"version": "1.1.0",
"inheritedVersion": "1.0.0",
"externalId": "123",
"schema": {
"application/json": {
"type": "object",
"properties": {
"width": {
"type": "number",
"minimum": 0
},
"height": {
"type": "number",
"minimum": 0
}
}
}
},
"vendor": "vmware",
"interfaces": [
"urn:vcloud:interface:vmware.sddc:1.0.0"
],
"hooks": {
"hooks": {}
},
"readonly": false,
"maxImplicitRight": "urn:vcloud:accessLevel:ReadWrite"
}
400
Invalid configuration.
Returns
Error
of type(s)
application/json;version=9.1.0
{
"minorErrorCode": "string",
"message": "string",
"stackTrace": "string"
}
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string","nss":"string","schema":"object","vendor":"string","version":"string"}' https://{api_host}/cloudapi/1.0.0/entityTypes/
Availability
Added in 35.0
Defined Entity Type Operations
GET
Get Defined Entity Types
POST
Create Defined Entity Type
GET
Get Defined Entity Type
POST
Create Defined Entity
PUT
Update Defined Entity Type
DELETE
Delete Defined Entity Type